Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class DecisionTree

    java.lang.Object
      cc.mallet.classify.Classifier
          cc.mallet.classify.DecisionTree

All Implemented Interfaces:
  AlphabetCarrying, java.io.Serializable

    public class DecisionTree

extends Classifier
implements java.io.Serializable

Decision Tree classifier.

Author:
  Andrew McCallum mccallum@cs.umass.edu
See Also:
  Serialized Form

Nested Class Summary
`static class` | `DecisionTree.Node`

Field Summary
`double` | `addFeaturesClassEntropyThreshold`

Fields inherited from class cc.mallet.classify.Classifier
`instancePipe`

Constructor Summary
`DecisionTree(Pipe instancePipe, DecisionTree.Node root)`

Method Summary
`Classification` | `classify(Instance instance)`
`DecisionTree.Node` | `getRoot()`
`void` | `induceFeatures(InstanceList ilist, boolean withFeatureShrinkage, boolean inducePerClassFeatures)`

Methods inherited from class cc.mallet.classify.Classifier
`alphabetsMatch, classify, classify, classify, getAccuracy, getAlphabet, getAlphabets, getAverageRank, getF1, getF1, getF1, getFeatureSelection, getInstancePipe, getLabelAlphabet, getPerClassFeatureSelection, getPrecision, getPrecision, getPrecision, getRecall, getRecall, getRecall, print, print`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### addFeaturesClassEntropyThreshold

    public double addFeaturesClassEntropyThreshold

Constructor Detail

### DecisionTree

    public DecisionTree(Pipe instancePipe,
                        DecisionTree.Node root)

Method Detail

### getRoot

    public DecisionTree.Node getRoot()

### classify

    public Classification classify(Instance instance)

  Specified by:
    `classify` in class `Classifier`

### induceFeatures

    public void induceFeatures(InstanceList ilist,
                               boolean withFeatureShrinkage,
                               boolean inducePerClassFeatures)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD